Subject: Re: bug#32959: 26; Emacs manual index entry `C-SPC C-SPC disabling Transient Mark'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Oct 2018 11:35:36 +0300

> Date: Sun, 7 Oct 2018 00:04:56 +0000 (UTC)
> From: Drew Adams <[email-masked]>
> 
> This index entry seems to be misnamed.  Compare, for example, the index
> entry for `C-u C-x C-x' (which goes to the same node).  The latter entry
> is named just `C-u C-x C-x', not `C-u C-x C-x disabling Transient Mark'.

There is already an index entry "C-SPC C-SPC", so we need to
disambiguate the second one.

I changed the qualification to say "enabling Transient Mark
mode temporarily".

> Seems like the entry name should just be `C-SPC C-SPC'.

No, see above.

> Beyond the name of this entry, this doc seems confusing to me.
> 
> Should it talk about turning the mode on/off, or about
> enabling/disabling the mode, or about activating/deactivating the mode.
> The node uses all three, which only confuses.

I don't find it confusing at all, so I didn't change the text.

Thanks.